@mixin backgroundContainCenter {
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}

@mixin backgroundCoverCenter {
  background-size: cover;
  background-position: center center;
}
@mixin backgroundTopCoverCenter {
  background-size: cover;
  background-position: top center;
}


@mixin clearfix {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}

@mixin limitText($lines, $lineHeight) {
   overflow: hidden;
   text-overflow: ellipsis;
   -webkit-box-orient: vertical;
   -webkit-line-clamp: $lines;
   line-height: $lineHeight;
   max-height: $lineHeight * $lines;
}